Bug 236717 - dns/powerdns: update to 4.1.8
Summary: dns/powerdns: update to 4.1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-22 15:22 UTC by Ralf van der Enden
Modified: 2019-06-30 20:45 UTC (History)
1 user (show)

See Also:


Attachments
Update to 4.1.8 (815 bytes, patch)
2019-03-22 15:22 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
Update to PowerDNS Authoritative Server 4.1.8 (redo patch after botan2 chase) (832 bytes, patch)
2019-04-09 08:11 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2019-03-22 15:22:49 UTC
Created attachment 203045 [details]
Update to 4.1.8

This release contains a bunch of backports, improvements and bug fixes that we wanted in the 4.1.x release channel after the 4.1.7 security release was out of the door.

Please see the changelog[1] for full details:

- #7604: Correctly interpret an empty AXFR response to an IXFR query,
- #7610: Fix replying from ANY address for non-standard port,
- #7609: Fix rectify for ENT records in narrow zones,
- #7607: Do not compress the root,
- #7608: Fix dot stripping in `setcontent()`,
- #7605: Fix invalid SOA record in MySQL which prevented the authoritative server from starting,
- #7603: Prevent leak of file descriptor if running out of ports for incoming AXFR,
- #7602: Fix API search failed with “Commands out of sync; you can’t run this command now”,
- #7509: Plug `mysql_thread_init` memory leak,
- #7567: EL6: fix `CXXFLAGS` to build with compiler optimizations.

[1] https://doc.powerdns.com/authoritative/changelog/4.1.html#change-4.1.8
Comment 1 Ralf van der Enden 2019-03-26 08:48:45 UTC
I forgot to share this:

Poudriere buildlog: https://pkg.cainites.net/data/latest-per-
pkg/powerdns/4.1.8/freebsd_12x64-system.log
Comment 2 Dani 2019-04-01 07:18:37 UTC
Bump :)
Comment 3 Ralf van der Enden 2019-04-09 08:11:56 UTC
Created attachment 203525 [details]
Update to PowerDNS Authoritative Server 4.1.8 (redo patch after botan2 chase)


Remove PORTREVISION, which was bumped after the security/botan2 chase.
Comment 4 Ralf van der Enden 2019-04-11 18:24:39 UTC
Could you please commit this? It's almost been a month since I submitted this PR.

Thanks in advance
Comment 5 commit-hook freebsd_committer 2019-04-15 18:01:31 UTC
A commit references this bug:

Author: swills
Date: Mon Apr 15 18:01:21 UTC 2019
New revision: 499039
URL: https://svnweb.freebsd.org/changeset/ports/499039

Log:
  dns/powerdns: update to 4.1.8

  PR:		236717
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)

Changes:
  head/dns/powerdns/Makefile
  head/dns/powerdns/distinfo
Comment 6 Steve Wills freebsd_committer 2019-04-15 18:02:34 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2019-06-30 20:45:39 UTC
A commit references this bug:

Author: swills
Date: Sun Jun 30 20:45:24 UTC 2019
New revision: 505487
URL: https://svnweb.freebsd.org/changeset/ports/505487

Log:
  MFH: r499039 r505025 r505486

  dns/powerdns: update to 4.1.8

  PR:		236717
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)

  Similar to r502813 for dns/powerdns-recursor, fix build on GCC-based
  systems:

    Don't add -L/usr/lib unconditionally, it makes gcc8 (used on GCC-based
    systems) link to base libstdc++.

  Given that this is a build fix that does not affect clang-based systems,
  there should be no need to bump portrevision.

  PR:		238742
  Reported by:	pkubaj
  Approved by:	maintainer

  dns/powerdns: update to 4.1.10

  PR:		238705
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  Security:	1c21f6a3-9415-11e9-95ec-6805ca2fa271

  Approved by:	ports-secteam (implicit)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/dns/powerdns/Makefile
  branches/2019Q2/dns/powerdns/distinfo
  branches/2019Q2/dns/powerdns/files/patch-configure